/* the nly function of sample3 it to play videofiles, and the only thing to learn */
/* is how to use the multimedia-classes */

#include "xheaders.h"

#include XApplication_i
#include XResourceLibrary_i
#include XRect_i
#include XResource_i
#include XToolBar_i
#include XPushButton_i
#include XFrameWindow_i
#include XContainerControl_i

#include "resource.h"


class MyAppWindow: public XFrameWindow
{
   public:
     MyAppWindow( XApplication * app, XResource *);
     ~MyAppWindow();
     void DoCommand( LONG);
     void DoControl( XControlEvent*);
     void Draw( void );
};


class MyApp: public XApplication
{
   private:
      MyAppWindow * window;
   public:
      MyApp();
};


#define CONT_LEFT 300
#define CONT_RIGHT 301
